
/*
  InitialConfig.cpp
  Copyright (C) 2013  Giménez, Christian N. 
  
  This program is free software: you can redistribute it and/or modify 
  it under the terms of the GNU General Public License as published by 
  the Free Software Foundation, either version 3 of the License, or 
  (at your option) any later version. 
  
  This program is distributed in the hope that it will be useful, 
  but WITHOUT ANY WARRANTY; without even the implied warranty of 
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
  GNU General Public License for more details. 
  
  You should have received a copy of the GNU General Public License 
  along with this program.  If not, see <http://www.gnu.org/licenses/>. 
  
  jueves 24 de enero del 2013    */

#include "InitialConfig.hpp"


InitialConfig::InitialConfig(){
  /**
     TODO: Remover esto y reemplazarlo por lo que corresponda.
   */
  initial_world = "PlanetAqua";
  initial_location = "CoralCitadel";
  starting_pos[0]= 0.0f;
  starting_pos[1]= 0.0f;
  starting_pos[2]= 0.0f;
    
}

InitialConfig::~InitialConfig(){
}


void InitialConfig::set_starting_pos(float pos[3]){
  starting_pos[0]= pos[0];
  starting_pos[1]= pos[1];
  starting_pos[2]= pos[2];
}

float* InitialConfig::get_starting_pos(){
  return starting_pos;
}
  
void InitialConfig::set_initial_location(string locationname){
  initial_location = locationname;
}

string InitialConfig::get_initial_location(){
  return initial_location;
}

void InitialConfig::set_initial_world(string worldname){
  initial_world = worldname;
}

string InitialConfig::get_initial_world(){
  return initial_world;
}
